#!/bin/dash

APPTITLE="Update VLC luac playlists"

if [ $(id -u) -ne 0 ]; then
	exec gtksu "$APPTITLE" "$0" "$@"
fi

Xdialog --title "$APPTITLE" --yesno "This will update VLC luac playlist scripts to the latest.
Use it if watching Vimeo, YouTube, etc. in VLC stopped working.
Do you want to continue?" 0 0 || exit

( update-vlc-playlist-luac.sh 2>&1; echo "Click OK to exit." ) |\
Xdialog --title "$APPTITLE" --no-cancel --logbox - 20 48
